/*
 * Created on 2005-03-20
 *
 */
package vr.system.classifiersManagement;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * Filtr przepuszczejacy pliki o sygnaturze *.class
 * 
 * @author Marcin Staszczyk
 */
public class ClassFileFilter extends FileFilter {

	/**
	 * Zwraca true jesli jest pytany o katalog lub plik *.class
	 */
	public boolean accept(File arg0) {
		if (arg0.isDirectory())
			return true;
		if (arg0.getName().endsWith(".class"))
			return true;
		return false;
	}

	/**
	 * zwraca nazwe - opis filtra
	 */
	public String getDescription() {
		return ".class";
	}

}
