/*
 * Created on 2005-04-06
 *
 */
package vr.visual.data;

import java.awt.BorderLayout;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;

import rseslib.structure.attribute.Header;

/**
 * Panel pozwalajacy przegladac i edytowac podany naglowek danych 
 * (wyswietlany w panelu dataPanel).
 * 
 * @author Michal Manski
 *
 */
public class HeaderEditorPanel extends EditorPanel {	
	
	/**
	 * Konstruktor
	 * 
	 * @param header naglowek danych
	 */
	public HeaderEditorPanel(Header header) {
		super("Skasuj zaznaczone atrybuty", "Dodaj nowy atrybut", "Zacznij edycje naglowka");
		dataPanel = new HeaderPresentationPanel(header);
		
		JPanel namePanel = new JPanel();
		namePanel.add(new JLabel("Naglowek danych"));
		add(namePanel, BorderLayout.NORTH);
        add(dataPanel, BorderLayout.CENTER);
        add(panel, BorderLayout.SOUTH);
        setBorder(BorderFactory.createEmptyBorder(20, 20, 20, 20));
  
	}
	
}
